Skip to navigation

Get WellPlate by ID

Beta
Get a single WellPlate by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

well_plate_idstringRequired
ID of the WellPlate.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
creatorobjectOptional
The user who created the plate
schemaFieldslist of objects or nullOptional
Schema field values that belong to the plate
archiveReasonstring or nullOptional
Why the plate is archived
archivedbooleanOptional
Whether the plate is archived
barcodestring or nullOptional
Barcode of the plate
createdAtstringOptional
DateTime the plate was created
idstringOptional
ID of the plate
modifiedAtstringOptional
DateTime the plate was last modified
namestringOptional

Name of the plate; defaults to barcode if name is not provided

parentStorageobject or nullOptional
Containing parent storage
projectobject or nullOptional
The project the plate is associated with
schemaobjectOptional
The schema of the plate

Errors

400
Well Plate Get Request Bad Request Error
403
Well Plate Get Request Forbidden Error
404
Well Plate Get Request Not Found Error
429
Well Plate Get Request Too Many Requests Error
500
Well Plate Get Request Internal Server Error